# -*- coding: latin-1; mode: rpm-spec -*-
%define kernel_base_version 2.6.32
%define driverpath /drivers/media/video/uvc

Name: webcam-tools
Version: 0.2.1
Release: alt1.svn2011021201

Summary: Contain libwebcam and uvcdynctrl from quickcamteam.net
License: GPL3/LGPL3
Group: Video
Url: http://www.quickcamteam.net/software/libwebcam
Source: %name-%version.tar
Patch: %name-%version-alt.patch

BuildRequires: libxml2-devel cmake gcc-c++ dpkg
BuildRequires: kernel-source-%kernel_base_version
# due kernel_src
BuildPreReq: rpm-build-kernel

Packager: Evgenii Terechkov <evg@altlinux.org>

%description
libwebcam and uvcdynctrl tools for Logitech and other UVC webcams from
quickcamteam.net.

%prep
%setup
%patch -p1
tar -jxf %kernel_src/kernel-source-%kernel_base_version.tar.bz2 \
kernel-source-%kernel_base_version%driverpath

%build
mkdir build
cd build
cmake .. -DCMAKE_INSTALL_PREFIX=%prefix \
-DCMAKE_INCLUDE_PATH=../kernel-source-%kernel_base_version%driverpath \
-DCMAKE_INSTALL_LIBDIR=%_libdir \
-DCPACK_DEBIAN_PACKAGE_ARCHITECTURE=%_build_arch
make

%install
pushd build
%makeinstall_std
popd

%files
%_bindir/*
%_libdir/lib*.so*
/lib/udev/*
%_sysconfdir/udev/rules.d/*
%_sysconfdir/udev/data/*

%doc uvcdynctrl/README

%changelog
* Sat Feb 12 2011 Terechkov Evgenii <evg@altlinux.org> 0.2.1-alt1.svn2011021201
- Fix build with debuginfo
- svn-20110212

* Thu Aug 12 2010 Terechkov Evgenii <evg@altlinux.ru> 0.1-alt1.svn2010081201
- Initial build for ALT Linux Sisyphus
